DELETE /api/v1/workflows/{id} — Delete Workflow
Permanently delete a workflow. Active workflows with ongoing signing processes cannot be deleted.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
Path Parameters
- id (string, required)
- The unique workflow ID to delete
Responses
HTTP 200 — Workflow deleted
{
"errorCode": 0,
"message": null,
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}HTTP 409 — Id is not valid
{
"errorCode": 8,
"message": null,
"returnUrl": "/dashboard",
"stateValidationErrors": {
"id": {
"rawValue": "{id}575f0d6b-f4be-4543-90e0-ca473ded3758",
"attemptedValue": "{id}575f0d6b-f4be-4543-90e0-ca473ded3758",
"errors": [
{
"exception": null,
"errorMessage": "The value '{id}575f0d6b-f4be-4543-90e0-ca473ded3758' is not valid."
}
],
"validationState": 1,
"isContainerNode": false,
"children": null
}
},
"signature": ""
}